<?php 
include '../koneksi.php';
session_start();
date_default_timezone_set('Asia/Jakarta');

//$waktu = date('Y-m-d H:i:s'); 
$petugas = $_SESSION['id'];
$kode_surat_und  = $_POST['kode_surat'];
$jenis_monev  = $_POST['jenis_monev'];
$nomor_monev  = $_POST['nomor_monev'];
$nama_monev  = $_POST['nama_monev'];


$rand = rand();

$filename = $_FILES['file']['name'];
$jenis = pathinfo($filename, PATHINFO_EXTENSION);
$file_size = $_FILES['file']['size'];

// Mengecek apakah file lebih besar 2 MB atau tidak'$nama',
if ($file_size > 2097152) {
	// Jika File lebih dari 2 MB maka akan gagal mengupload File
	header("location:monev.php?alert=gagalsize");
	
}else if($jenis != "pdf") {
	header("location:monev.php?alert=gagal");
	
}else{
	move_uploaded_file($_FILES['file']['tmp_name'], '../arsipmonev/'.$rand.'_'.$filename);
	$nama_file = $rand.'_'.$filename;
	mysqli_query($koneksi, "insert into monev values (NULL,'$kode_surat_und','$jenis_monev','$nomor_monev','$nama_monev','$petugas','$nama_file')")or die(mysqli_error($koneksi));
	header("location:monev.php?alert=sukses");
}
